[env:Heltec_t114_without_display_simple_sensor]
extends = Heltec_t114
build_src_filter = ${Heltec_t114.build_src_filter}
  +<../examples/simple_sensor>
build_flags =
  ${Heltec_t114.build_flags}
  -D ADVERT_NAME='"Heltec_T114 Simple Sensor"'
  -D ADVERT_LAT=0.0
  -D ADVERT_LON=0.0
  -D ADMIN_PASSWORD='"password"'
  -D SENSOR_READ_INTERVAL_SECS=60
  -D LORA_FREQ=868.856018
  -D LORA_SF=7
  -D LORA_CR=7

[env:heltec_v4_simple_sensor]
extends = Heltec_lora32_v4
build_src_filter = ${Heltec_lora32_v4.build_src_filter}
  +<../examples/simple_sensor>
build_flags =
  ${Heltec_lora32_v4.build_flags}
  -D ADVERT_NAME='"Heltec_V4 Simple Sensor"'
  -D ADVERT_LAT=0.0
  -D ADVERT_LON=0.0
  -D ADMIN_PASSWORD='"password"'
  -D SENSOR_READ_INTERVAL_SECS=60
  -D LORA_FREQ=868.856018
  -D LORA_SF=7
  -D LORA_CR=7
lib_deps =
  ${Heltec_lora32_v4.lib_deps}
  ${esp32_ota.lib_deps}
